:root {
  --text-color: #ffffff;
  --bg-color: #000000;
}

* {
  box-sizing: border-box;
}

body {
  background-color: var(--bg-color);
  color-scheme: dark light;
  color: var(--text-color);
  font-size: 16px;
  line-height: 1.5;
  margin: 0;
}

.header {
  padding: 1rem .5rem;
  box-shadow: 0 0px 7px 1px var(--text-color);
}

.header__logo {
  font-size: 1.7rem;
  font-weight: 600;
  text-shadow: 3px 3px red;
}

.grid {
  display: grid;
  grid-template-columns: repeat(3, minmax(auto, 1fr));
}

.grid__item {
  border: 1px solid var(--text-color);
  height: 200px;
  grid-column: 1 / -1;
  display: grid;
  align-items: center;
  justify-content: center;
  font-style: italic;
  font-size: 2rem;
}

@media screen and (width > 365px) {
  .grid__item_one {
    grid-column: 1 / 3;
  }

  .grid__item_three {
    grid-column: 2 / 4;
  }
}

@media (prefers-color-scheme: light) {
  :root {
    --bg-color: #ffffff;
    --text-color: #000000;
  }
}